
package com.tmerclub.cloud.platform.model;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2024/1/9 10:14
 */
@Schema(description = "密钥对应可用菜单资源")
public class SysAccessMenuPermission implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;

    @Schema(description = "密钥id")
    private Long sysAccessKeyId;

    @Schema(description = "菜单资源ID")
    private Long menuPermissionId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSysAccessKeyId() {
        return sysAccessKeyId;
    }

    public void setSysAccessKeyId(Long sysAccessKeyId) {
        this.sysAccessKeyId = sysAccessKeyId;
    }

    public Long getMenuPermissionId() {
        return menuPermissionId;
    }

    public void setMenuPermissionId(Long menuPermissionId) {
        this.menuPermissionId = menuPermissionId;
    }

    @Override
    public String toString() {
        return "SysAccessMenuPermission{" +
                "id=" + id +
                ", sysAccessKeyId=" + sysAccessKeyId +
                ", menuPermissionId=" + menuPermissionId +
                '}';
    }
}
